#ifndef PAINTER_H
#define PAINTER_H

#include "spring.h"


class Painter: public QWidget
{
	Q_OBJECT
public:
    Painter( QWidget *parent=0 );

private slots:
	void aquiQuitaFuerza(  ) {
		forceValue -> setValue( 0.0 );
		emit sendRemove( );
	}

	void aquiInicia( ) {
		cualResorte -> setValue( 1 );
		angulo -> setValue( 0.0 );
		emit enviaInicio();
	}

signals:
	void sendRemove( );
	void enviaInicio( );

private:
	Spring * spring;
	QPushButton *quit, *reset, *apply, *remove;
	QLabel *forceText, *textoAngulo, *textoResorte;
	QDoubleSpinBox *forceValue, *angulo;
	QSpinBox *cualResorte;
};

#endif
